Name: xpired
Version: 1.22
Release: alt5

Source0: %name-%version-linux_source.tar.bz2
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm
Source10: xpired-obsolete_lvl.tar.bz2

Patch1: xpired-level_install.patch

Group: Games/Puzzles
Summary: Action puzzle game
Url: http://xpired.temnet.org/
License: GPL

# Automatically added by buildreq on Fri Jul 02 2004 (-bi)
BuildRequires: XFree86-libs esound libSDL-devel libSDL_gfx-devel libSDL_image-devel libSDL_mixer-devel

%description
X-Pired is an action puzzle game. The goal of the game in each level
is to reach the exit square, avoiding exploding barrels and other
deadly stuff.

%prep
%setup -q -n src -a10
%patch1 -p1

%build
%make PREFIX=%prefix SHARE_PREFIX=%_gamesdatadir/xpired

%install
%make install PREFIX=%buildroot/%prefix SHARE_PREFIX=%buildroot/%_gamesdatadir/xpired

mkdir -p %buildroot/%_gamesbindir
mv %buildroot/%_bindir/* %buildroot/%_gamesbindir

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_gamesbindir/%name --fullscreen" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Amusement/Puzzles" \
		  title="X-Pired" \
		  longtitle="Action-puzzle game"
EOF
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name-editor
?package(%name):command="%_gamesbindir/%name" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Amusement/Puzzles" \
		  title="X-Pired editor" \
		  longtitle="X-Pired level editor"
EOF

mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm


%post
%update_menus

%postun
%clean_menus

%files
%doc *.txt README*
%_gamesbindir/*
%_gamesdatadir/*
%_menudir/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Tue Feb 08 2005 Sergey V Turchin <zerg at altlinux dot org> 1.22-alt5
- rebuild

* Fri Jul 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.22-alt4
- fix rpm/menu section

* Wed Jun 11 2003 Sergey V Turchin <zerg at altlinux dot org> 1.22-alt3
- add "obsolete" levelpack
- rebuild with new libSDL_gfx-devel

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1.22-alt2
- rebuild with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 1.22-alt1
- initial spec

